/* @import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Syncopate:wght@400;700&display=swap"); */
@import url('https://fonts.googleapis.com/css2?family=David+Libre:wght@400;500;700&display=swap');


:root{

  --primary-color: #f5b754;
  --primary-color-dark: #d6a04a;
  --text-dark: #15191d;
  --text-light: #737373;
  --extra-light: #e5e5e5;
  --white: #ffffff;
  --max-width: 1200px;
  --header-font: "David Libre", serif;
}

* {

  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

/* ============================ */
.section_container {

  max-width: var(--max-width);
  margin: auto;
  padding: 5rem 1rem;
}

.section_header {

  font-size: 3.25rem;
  font-weight: 700;
  font-family: var(--header-font);
  color: var(--text-dark);
  letter-spacing: -5px;
  line-height: 4.25rem;
}

/* ============================ */


.btn {

  padding: 1rem 1.5rem;
  outline: none;
  border: none;
  font-size: 1rem;
  color: var(--white);
  background-color: var(--text-dark);
  border-radius: 10px;
  transition: 0.3s;
  cursor: pointer;
}

.btn:hover {

  color: var(--text-dark);
  background-color: var(--primary-color);
}

img {

  display: flex;
  width: 100%;
}

a {

  text-decoration: none;
  transition: 0.3s;
}

ul {

  list-style: none;
}

html,
body {

  scroll-behavior: smooth;
}

body {

  font-family: "Poppins", sans-serif;
}

header {

  position: relative;
  background-image: url("/images/header-bg.png");
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}

nav {

  position: fixed;
  isolation: isolate;
  width: 100%;
  z-index: 9;
}

.nav_header {

  padding: 1rem;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: var(--primary-color);
}

.nav_logo a {

  font-size: 1.5rem;
  font-weight: 700;
  font-family: var(--header-font);
  color: var(--white);
  letter-spacing: -2px;
}

.nav_menu_btn {

  font-size: 1.5rem;
  color: var(--white);
  cursor: pointer;
}

.nav_links {

  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 2rem;
  background-color: var(--primary-color);
  transition: transform 0.5s;
  z-index: -1;
}

.nav_links.open {

  transform: translateY(100%);
}

.nav_links a {

  font-weight: 500;
  color: var(--white);
}

.nav_links a:hover {

  color: var(--text-dark);
}

/* ================ dropdown =============== */

.dropdown {

    display: none;
}

.dropdown.show {

    display: block;
}

.profile-btn img {

    border-radius: 100%;
}

.dropdown button {

    color: var(--text-dark);
    background-color: #f5e8d2;
    border: none;
    border-radius: 5px;
    padding: 5px;
    margin: 2px 0px;
}


/* ========================================= */

.nav_btn {

  display: none;
}

.header_container {

  position: relative;
  isolation: isolate;
  overflow: hidden;
  padding: 5rem 1rem;
}

.header_container h1 {

  max-width: 750px;
  margin-inline: auto;
  margin-bottom: 2rem;
  font-size: 3.5rem;
  font-weight: 700;
  font-family: var(--header-font);
  color: var(--text-dark);
  letter-spacing: -5px;
  line-height: 5rem;
  text-align: center;
}

.header_container img {
  max-width: 1050px;
  margin-inline: auto;
  filter: drop-shadow(5px 20px 20px rgba(0, 0, 0, 0.5));
}

.header_container::before {

  position: absolute;
  content: "";
  left: 0;
  bottom: 0;
  width: 100vw;
  height: 50%;
  background-color: var(--primary-color);
  transform: translateY(50%) skewY(-4deg);
  z-index: -1;
}

.scroll_down {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 50%);
  font-size: 1.5rem;
  padding: 8px 5px;
  color: var(--text-dark);
  background-color: var(--primary-color);
  border-radius: 2rem;
  border: 8px solid var(--white);
}

@media (width > 768px) {
    nav {

        position: static;
        padding: 2rem 1rem 0;
        max-width: var(--max-width);
        margin-inline: auto;
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 2rem;
    }

    .nav_header {

    flex: 1;
    padding: 0;
    background-color: transparent;
  }

  .nav_logo a {

    color: var(--text-dark);
  }

  .nav_menu_btn {

    display: none;
  }

  .nav_links {

    position: static;
    padding: 0;
    width: fit-content;
    flex-direction: row;
    background-color: transparent;
    transform: none;
  }

  .nav_links a {

    color: var(--text-dark);
  }

  .nav_links a:hover {

    color: var(--primary-color);
  }

  .nav_btn {

    display: flex;
    flex: 1;
    align-items: center;
    justify-content: flex-end;
  }

  .nav_btn .btn {

    color: var(--text-dark);
    background-color: var(--primary-color);
  }

  .header_container h1 {

    font-size: 4.5rem;
  }
}


